<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.xindazhou</groupId>
        <artifactId>xdz-module-business</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>xdz-module-business-server</artifactId>
    <packaging>jar</packaging>
    <name>${project.artifactId}</name>
    <description>business 服务实现</description>
    <dependencies>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-env</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-module-business-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <!-- 车辆服务 API -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-module-vehicle-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <!-- 消息服务 API -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-module-message-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <!-- 用户服务 API -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-module-user-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-biz-tenant</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-security</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-rpc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-mq</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-monitor</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-biz-data-permission</artifactId>
        </dependency>
        <!-- 社交登录相关（已移到 framework） -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-biz-social</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-websocket</artifactId>
        </dependency>
        <dependency>
            <groupId>com.anji-plus</groupId>
            <artifactId>captcha-spring-boot-starter</artifactId> <!-- 验证码，一般用于登录使用 -->
        </dependency>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-biz-ip</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.velocity</groupId>
            <artifactId>velocity-engine-core</artifactId> <!-- 实现代码生成 -->
        </dependency>
        <dependency>
            <groupId>commons-net</groupId>
            <artifactId>commons-net</artifactId> <!-- 文件客户端：解决 ftp 连接 -->
        </dependency>
        <dependency>
            <groupId>com.github.mwiede</groupId>
            <artifactId>jsch</artifactId> <!-- 文件客户端：解决 sftp 连接 -->
        </dependency>
        <dependency>
            <groupId>software.amazon.awssdk</groupId> <!-- 文件客户端：解决阿里云、腾讯云、minio 等 S3 连接 -->
            <artifactId>s3</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.tika</groupId>
            <artifactId>tika-core</artifactId> <!-- 文件客户端：文件类型的识别 -->
        </dependency>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-generator</artifactId> <!-- 代码生成器，使用它解析表结构 -->
        </dependency>
        <dependency>
            <groupId>com.xuxueli</groupId>
            <artifactId>xxl-job-core</artifactId> <!-- XXL-Job 定时任务 -->
        </dependency>
        <dependency>
            <groupId>org.dromara.hutool</groupId>
            <artifactId>hutool-extra</artifactId> <!-- 邮件 -->
        </dependency>
        
        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
